#include <errno.h>

#include <nllibc.h>

#ifdef errno
#undef errno
#endif
int errno;

#if defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__NetBSD__) || defined(__DragonFly__) || defined(__APPLE__)
int *__error(void)
{
  return &errno;
}
#endif

#if defined(__linux__)
int *__errno_location(void)
{
  return &errno;
}
#endif
